Author Topic: VSIDO fsarchive version Issues and Discussions  (Read 139 times)

VastOne

  •      v-ger
  • Posts: 4275
    • View Profile
    • VSIDO Community
VSIDO fsarchive version Issues and Discussions
« on: August 29, 2022, 11:12:08 PM »
Here let's discuss what is missing, needed or any issues related to VSIDO fsarchive
VSIDO      VSIDO Change Blog       

    I dev VSIDO

VastOne

  •      v-ger
  • Posts: 4275
    • View Profile
    • VSIDO Community
Re: VSIDO fsarchive version Issues and Discussions
« Reply #1 on: August 29, 2022, 11:14:28 PM »
I have already been made aware of and removed the Fluxbox Menu Editor
VSIDO      VSIDO Change Blog       

    I dev VSIDO

VastOne

  •      v-ger
  • Posts: 4275
    • View Profile
    • VSIDO Community
Re: VSIDO fsarchive version Issues and Discussions
« Reply #2 on: August 29, 2022, 11:48:57 PM »
I need to know what the nmtui tool is.. Is it part of Network-Manager package and also, wouldn't ceni work to connect wireless?
VSIDO      VSIDO Change Blog       

    I dev VSIDO

PackRat

  • Posts: 2330
    • View Profile
    • PackRat configs on github
Re: VSIDO fsarchive version Issues and Discussions
« Reply #3 on: August 30, 2022, 12:23:28 AM »
As far as I know, Ceni is deprecated. I don't know if it even works with the new version of Perl and systemd networking.

NetworkManger comes with a ncurses tool nmtui -



it works really well on systemd and non-systemd distros.

No real need to install nm-applet unless you just like a gui system tray application.
I am tired of talk that comes to nothing.
-- Chief Joseph

...the sun, the darkness, the winds are all listening to what we have to say.
-- Geronimo

VastOne

  •      v-ger
  • Posts: 4275
    • View Profile
    • VSIDO Community
Re: VSIDO fsarchive version Issues and Discussions
« Reply #4 on: August 30, 2022, 12:27:01 AM »
Thanks RatMan

So the obvious answer is to replace ceni with network-manager

I can get ceni to work on server side with no issues and yes, it is all vsido    ;D

I am going to go test it for sure on a new install of vsido on this server, what I need is someone to test ceni on a laptop to see if it actually works or not
VSIDO      VSIDO Change Blog       

    I dev VSIDO

VastOne

  •      v-ger
  • Posts: 4275
    • View Profile
    • VSIDO Community
Re: VSIDO fsarchive version Issues and Discussions
« Reply #5 on: August 30, 2022, 12:51:42 AM »
I tested ceni in a new install and it works for a wired interface no issues.. I understand that it is deprecated .. I was able to install and get nmtui to run but I have questions regarding how it operates.. Does it require sudo / root to run? I will need to figure out how to get that done from a fluxbox menu.. Ceni was cool because it recognizes root is needed and asks for a password
VSIDO      VSIDO Change Blog       

    I dev VSIDO

PackRat

  • Posts: 2330
    • View Profile
    • PackRat configs on github
Re: VSIDO fsarchive version Issues and Discussions
« Reply #6 on: August 30, 2022, 01:11:24 AM »
nmtui can be run as a regular user.
I am tired of talk that comes to nothing.
-- Chief Joseph

...the sun, the darkness, the winds are all listening to what we have to say.
-- Geronimo

jedi

  • DEFCON 1
  • Posts: 1651
  • Not all those who wander are lost.
    • View Profile
Re: VSIDO fsarchive version Issues and Discussions
« Reply #7 on: September 07, 2022, 03:01:04 AM »
 ::) So yeah, ceni is deprecated and on my laptop it runs however it doesn't find the wlan0 connection. (or wlp2s0 etc)  Not sure how this would work out for someone else on a different lappy.  nmtui solves this for most lappy users imo.  Of course one could go to all the trouble of doing it all via the terminal, but with wireless this tends to be a bit of a pain for some. (gasp)  Anyway it definitely works.

So the welcome script, vsido-welcome just needs some lovin' I think...  8)

The following installed just fine via vsido-welcome;
cups printer-driver-cups-pdf system-config-printer printer-driver-hpijs git git-gui git-cvs git-svn git-email mercurial subversion subversion-tools bzr bzrtools cvs thunar-vcs-plugin geany openssh-server

--Lamp Stack  -not installed because of user preference, I don't need any of it yet...
apache2 mysql-server php5 php-pear php5-gd php5-mysql php5-imagick php5-curl curl phpmyadmin rsync cronolog--  don't know if any of it would have worked.  Doubtful as to the oldish nature of some of the version numbers?

--Dev Env for Debian Packaging  installed via apt
build-essential debhelper cdbs dh-make diffutils patch gnupg fakeroot lintian devscripts dpatch dput quilt zenity clipit bashburn keepassx numlockx-- installed

--Image Editors   installed via apt
gimp inkscape mtpaint gcolor3 shotwell darktable rawtherapee-- installed

--No longer in repo's
dpatch=no candidate, bashburn=no package found, gcolor2=gcolor3 now instead and installed via apt, openjdk-6-jre is up to like 19 now, icedtea6-plugin is now icedtea-netx--  not installed

and oh yeah, cups-pdf is now printer-driver-cups-pdf.

So there, if I missed anything let me know...

Now if I can figure out this new jgmenu toy!!!
Forum Netiquette

"No matter how smart you are you can never convince someone stupid that they are stupid."  Anonymous